function BlackMarketManager:get_sorted_armors(hide_locked)
	local sort_data = {}

	for id, d in pairs(Global.blackmarket_manager.armors) do
		if not hide_locked or d.unlocked then
			table.insert(sort_data, id)
		end
	end

	local armor_level_data = {}

	for level, data in pairs(tweak_data.upgrades.level_tree) do
		if data.upgrades then
			for _, upgrade in ipairs(data.upgrades) do
				local def = tweak_data.upgrades.definitions[upgrade]

				if def.armor_id then
					armor_level_data[def.armor_id] = level
				end
			end
		end
	end
    
	table.sort(sort_data, function(x, y)
		local x_level = tonumber(string.sub(x, 7))
		local y_level = tonumber(string.sub(y, 7))
		return x_level < y_level
	end)

	return sort_data, armor_level_data
end